org.apache.tapestry5.corelib.data

## Enum GridPagerPosition

- java.lang.Object
- - java.lang.Enum<GridPagerPosition>
  - - org.apache.tapestry5.corelib.data.GridPagerPosition

- All Implemented Interfaces:
    Serializable, Comparable<GridPagerPosition>

      public enum GridPagerPosition
      extends Enum<GridPagerPosition>

  Used by the `Grid` component to control where the pager portion of the Grid should be displayed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` Show the pager above and below the Grid's table.
    `BOTTOM` Position the pager below the Grid's table (this is the default).
    `NONE` Don't show a pager (the application will need to supply its own navigation mechanism).
    `TOP` Position the pager above the Grid's table.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMatchBottom()`
    `boolean` | `isMatchTop()`
    `static GridPagerPosition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GridPagerPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final GridPagerPosition TOP

      Position the pager above the Grid's table.

    - #### BOTTOM

          public static final GridPagerPosition BOTTOM

      Position the pager below the Grid's table (this is the default).

    - #### BOTH

          public static final GridPagerPosition BOTH

      Show the pager above and below the Grid's table.

    - #### NONE

          public static final GridPagerPosition NONE

      Don't show a pager (the application will need to supply its own navigation mechanism).

  - ### Method Detail

    - #### values

          public static GridPagerPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GridPagerPosition c : GridPagerPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GridPagerPosition valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isMatchBottom

          public boolean isMatchBottom()

    - #### isMatchTop

          public boolean isMatchTop()

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.